import {Converter} from './converter';

export class HTMLEntitiesEncoder implements Converter {
  getDisplayname(): string {
    return 'Encode HTML entities';
  }

  getId(): string {
    return 'encodehtmlentities';
  }

  convert(input: string): string {
    return input
      .replace(/\&/g, '&amp;')
      .replace(/\</g, '&lt;')
      .replace(/\>/g, '&gt;')
      .replace(/\"/g, '&quot;');
  }
}
