import {Converter} from './converter';
import {NativeLibraryWrapperService} from '../nativelibrarywrapper.service';

export class PunycodeDecoder implements Converter {

  constructor(private nativeLibraryWrapperService: NativeLibraryWrapperService) {
  }

  getDisplayname(): string {
    return 'Decode from punycode';
  }

  getId(): string {
    return 'decodepunycode';
  }

  convert(input: string): string {
    return this.nativeLibraryWrapperService.punycode.decode(input);
  }
}
