import {Converter} from './converter';
import {NativeLibraryWrapperService} from '../nativelibrarywrapper.service';

export class QuotedPrintableEncoder implements Converter {

  constructor(private nativeLibraryWrapperService: NativeLibraryWrapperService) {
  }

  getDisplayname(): string {
    return 'Encode quoted printable';
  }

  getId(): string {
    return 'encodequotedprintable';
  }

  convert(input: string): string {
    return this.nativeLibraryWrapperService.quotedPrintable.encode(input);
  }
}
