import {Injectable} from '@angular/core';
import {Punycode} from './punycode';
import {Utf8} from './utf8';
import {QuotedPrintable} from './quotedprintable';
import * as NativeUtf8 from 'utf8';
import * as NativeQuotedPrintable from 'quoted-printable';
import * as NativePunycode from 'punycode';

@Injectable()
export class NativeLibraryWrapperService {
  public utf8: Utf8;
  public quotedPrintable: QuotedPrintable;
  public punycode: Punycode;

  constructor() {
    this.utf8 = NativeUtf8;
    this.quotedPrintable = NativeQuotedPrintable;
    this.punycode = NativePunycode;
  }
}
